Subject: Re: bug#35496: 27.0.50; smie-blink-matching-open blinks token before point after RET

From: Dmitry Gutov <[email-masked]>
Date: Thu, 23 Sep 2021 02:12:01 +0300

On 23.09.2021 00:34, Lars Ingebrigtsen wrote:
> Dmitry Gutov<[email-masked]>  writes:
> 
>> I've tried to move all checks smie-blink-matching-open into a
>> save-excursion and call blink-matching-open from the orignal position,
>> but that doesn't work alone, unfortunately, because newline is a
>> separate token. Hence the change in blink-matching-open as well. WDYT?
>>
>> Patch attached.
> I've just skimmed this thread, but there didn't seem to be any followup
> here?  Is this still an issue in the current Emacs?

Yep. No change here.

Regarding the posted patch, I'm not sure it's doing TRT semantically, so 
I didn't press on it.